CocoaTweet::API::Statuses::Status::Options Struct Reference

`#include <status.h>`

## Public Attributes

std::string | replyToStatusId
bool | autoPopulateReplyMetaData = false
std::vector< std::string > | excludeReplyUserId
std::string | attachmentUrl
std::pair< std::string, std::string > | coord
bool | displayCoord = false
bool | trimUser = false
bool | enableDMCommands = false
bool | failDMCommands = true

## Member Data Documentation

## attachmentUrl

std::string CocoaTweet::API::Statuses::Status::Options::attachmentUrl

## autoPopulateReplyMetaData

bool CocoaTweet::API::Statuses::Status::Options::autoPopulateReplyMetaData = false

## coord

std::pair<std::string, std::string> CocoaTweet::API::Statuses::Status::Options::coord

## displayCoord

bool CocoaTweet::API::Statuses::Status::Options::displayCoord = false

## enableDMCommands

bool CocoaTweet::API::Statuses::Status::Options::enableDMCommands = false

## excludeReplyUserId

std::vector<std::string> CocoaTweet::API::Statuses::Status::Options::excludeReplyUserId

## failDMCommands

bool CocoaTweet::API::Statuses::Status::Options::failDMCommands = true

## replyToStatusId

std::string CocoaTweet::API::Statuses::Status::Options::replyToStatusId

## trimUser

bool CocoaTweet::API::Statuses::Status::Options::trimUser = false

The documentation for this struct was generated from the following file:

- src/cocoatweet/api/status/status.h